<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>
	
	<xsd:element name="SERVICE_ENABLED" type="xsd:boolean" default="false"/>
	<xsd:element name="MCU_EXCHANGE_CONFIG_PARAMS" type="McuExchangeConfigParamsContent"/>	
	<xsd:element name="WEB_SERVICES_URL" type="xsd:string"/>
	<xsd:element name="WEB_SERVICES_DELEGATE" type="xsd:boolean" default="true"/>
	<xsd:element name="POLLING_INTERVAL" type="xsd:integer"/>
    <xsd:element name="PRIMARY_SMTP_MAILBOX" type="xsd:string"/>

    <xsd:complexType name="McuExchangeConfigParamsContent">
		<xsd:sequence>		
			<xsd:element ref="SERVICE_ENABLED"/>
			<xsd:element ref="WEB_SERVICES_URL"/>
			<xsd:element ref="USER_NAME"/>
			<xsd:element ref="DOMAIN_NAME"/>
			<xsd:element ref="PASSWORD"/>
			<xsd:element ref="WEB_SERVICES_DELEGATE"/>
			<xsd:element ref="POLLING_INTERVAL"/> <!-- not in use -->
			<xsd:element ref="PRIMARY_SMTP_MAILBOX"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

